package app.fedilab.android.activities;


import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import com.vanniktech.emoji.EmojiPopup;


/* Copyright 2020 Thomas Schneider
 *
 * This file is a part of Fedilab
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * Fedilab is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with Fedilab; if not,
 * see <http://www.gnu.org/licenses>. */
public class PixelfedComposeActivity extends BasePixelfedComposeActivity{


    @Override
    protected void launchPhotoEditor(Uri uri) {
        Intent intent = new Intent(PixelfedComposeActivity.this, PhotoEditorActivity.class);
        Bundle b = new Bundle();
        intent.putExtra("imageUri", uri.toString());
        intent.putExtras(b);
        startActivity(intent);
    }

    @Override
    protected void displayEmojiPopup() {
        final EmojiPopup emojiPopup = EmojiPopup.Builder.fromRootView(drawer_layout).build(toot_content);

        toot_emoji.setOnClickListener(v -> {
            emojiPopup.toggle(); // Toggles visibility of the Popup.
        });
    }
}
